"""
Run 6 tests:
  Two angles 220 and 260
  Three amplitudes A0 at each angle
"""

from pyclaw.plotters.data import ClawPlotData
from pyclaw.runclaw import runclaw
import setrun_220, setrun_260


from pylab import *
import os,sys,glob



for theta in [220,260]:
    for A0 in [0.005, 0.5, 150]:
        exec("rundata = setrun_%s.setrun()" % theta)
        rundata.probdata.A0 = A0
        outdir = "_output_%s_A%s" % (theta,A0)
        rundata.clawdata.outdir = outdir
        rundata.write()
        execfile("maketopo.py")

        runclaw(xclawcmd = "xgeoclaw", outdir=outdir)

